Bug 47907

Summary: Improvements (enhancements and I18N) Comparison Assertion and Comparison Visualizer
Product: JMeter Reporter: Milamber <milamber>
Component: MainAssignee: JMeter issues mailing list <issues>
Status: RESOLVED FIXED    
Severity: enhancement CC: milamber
Priority: P2    
Version: Nightly (Please specify date)   
Target Milestone: ---   
Hardware: PC   
OS: All   
Attachments: Proposal improvements patch
Proposal improvements patch with detab
Sample screenshot with improvement
JMeter script testcases
New patch

Description Milamber 2009-09-26 14:03:45 UTC
* now, in a loop or a controller with more than two samplers, "Comparison Assertion" compare the first to the current (before, always the first and the second for all samplers in a controller)

* Comparison Visualizer display a success icon on success and a error icon on failure

* Comparison Visualizer is more verbose on success and failure 

* Comparison Visualizer show the left pane (the first sample to compare) in light grey (better visual effect). And panes are not editable now.

* in manual, add "response time" instead of "time" to more precision on comparison. (perhaps change field name?)

I provided two patches: one without detab (best view changes) and one with detab in accord with code style JMeter.
Comment 1 Milamber 2009-09-26 14:04:32 UTC
Created attachment 24315 [details]
Proposal improvements patch
Comment 2 Milamber 2009-09-26 14:05:25 UTC
Created attachment 24316 [details]
Proposal improvements patch with detab
Comment 3 Milamber 2009-09-26 14:09:13 UTC
Created attachment 24317 [details]
Sample screenshot with improvement
Comment 4 Milamber 2009-09-26 14:10:10 UTC
Created attachment 24318 [details]
JMeter script testcases
Comment 5 Milamber 2009-10-03 12:18:50 UTC
Created attachment 24338 [details]
New patch

New patch with I18N and only some enhancements:

* I18N (and English messages)

* Comparison Visualizer display a success icon on success and a error icon on
failure (see screenshot)

* Comparison Visualizer show the left pane (the first sample to compare) in
light grey (better visual effect). And panes are not editable now.

* in manual, add "response time" instead of "time" to more precision on
comparison.

(no functional changes)
Comment 6 Milamber 2009-10-03 12:30:59 UTC
Note: Detab sould be execute on some files
Comment 7 Sebb 2009-11-14 13:58:39 UTC
Thanks - applied:

URL: http://svn.apache.org/viewvc?rev=836270&view=rev
Log:
Bug 47907 - Improvements (enhancements and I18N) Comparison Assertion and Comparison Visualizer